import { html as l } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (c, e, s, o) => {
  for (var t = o > 1 ? void 0 : o ? m(e, s) : e, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (t = (o ? i(e, s, t) : i(t)) || t);
  return o && t && u(e, s, t), t;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--locationPinRestaurant", this.class = "c-pieIcon c-pieIcon--locationPinRestaurant", this.name = "IconLocationPinRestaurant";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--locationPinRestaurant"><path d="m8 12.436 3.29-3.325a4.734 4.734 0 0 0 0-6.624 4.6 4.6 0 0 0-6.58 0 4.734 4.734 0 0 0 0 6.624zm-2.354-9.03a3.3 3.3 0 0 1 4.708 0 3.404 3.404 0 0 1 0 4.778L8 10.564l-2.354-2.38a3.404 3.404 0 0 1 0-4.778M4.5 13.47h7v1.312h-7z"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], r.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = a([
  f("icon-location-pin-restaurant")
], r);
export {
  r as IconLocationPinRestaurant
};
